## xephem 2.7.1

=== fifos/Makefile ===
# Make the fifos used by xephem and gscdbd, assuming the default configuration.
# on some systems, you make fifos using mknod as follows "mknod <file> p"

all: xephem_loc_fifo xephem_db_fifo xephem_in_fifo xephem_out_fifo

xephem_loc_fifo:
	mkfifo $@

xephem_db_fifo:
	mkfifo $@

xephem_in_fifo:
	mkfifo $@

xephem_out_fifo:
	mkfifo $@

=== gscdbd/Makefile ===
CLDFLAGS =
CFLAGS = $(CLDFLAGS) -O
LDFLAGS = $(CLDFLAGS)
LIBS = -lm

GSCD_OBJS = gscdbd.o cacheio.o gscio.o support.o version.o

gscdbd: $(GSCD_OBJS)
	cc $(LDFLAGS) -o $@ $(GSCD_OBJS) $(LIBS)

## xephem 3.0

=== tools/gsc/Makefile ===
CC = cc
CLDFLAGS = 
CFLAGS = $(CLDFLAGS) -O -I../..
LDFLAGS = $(CLDFLAGS)
LIBS = -lm

# Try using these libs for SVR4.
# LIBS = -lm -lsocket -lnsl

DOBJS = gscd.o support.o ../../gsc.o
LOBJS = gscload.o support.o ../../gsc.o

all: gscd gscload

gscd: $(DOBJS)
	$(CC) $(LDFLAGS) -o $@ $(DOBJS) $(LIBS)

gscload: $(LOBJS)
	$(CC) $(LDFLAGS) -o $@ $(LOBJS) $(LIBS)

../../gsc.o:
	cd ../..; make gsc.o

## xephem 3.1

=== GUI/xephem/fifos/Makefile ===
# Make the fifos used by xephem, assuming the default configuration.
#
# on non-POSIX systems, you make fifos using mknod as follows:
#    mknod <file> p

all: xephem_loc_fifo xephem_db_fifo xephem_in_fifo xephem_out_fifo

xephem_loc_fifo:
	mkfifo $@

xephem_db_fifo:
	mkfifo $@

xephem_in_fifo:
	mkfifo $@

xephem_out_fifo:
	mkfifo $@

=== GUI/xephem/tools/gsc/Makefile ===
CC = cc
CLDFLAGS = 
CFLAGS = $(CLDFLAGS) -O -I../.. -I../../../../libastro
LDFLAGS = $(CLDFLAGS)
LIBS = -lm

# Try using these libs for SVR4.
# LIBS = -lm -lsocket -lnsl

OBJS = gscload.o support.o ../../gsc.o

gscload: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

=== GUI/xephem/tools/xephemdbd/Makefile ===
# Makefile for xephemdbd
# Only tested on Linux

CC = gcc

CLDFLAGS =
CFLAGS = $(CLDFLAGS) -Wall -O2 -ffast-math \
	-I../../../../libastro
LDFLAGS = $(CLDFLAGS) \
	-L../../../../libastro
LIBS = -lastro -lm

XED = ../..

OBJS =	xephemdbd.o 		\
	db.o			\
	fsfetch.o		\
	request.o		\
	stubs.o			\
	$(XED)/gsc.o		\
	$(XED)/ppm.o		\
	$(XED)/constel.o

xephemdbd: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clobber:
	touch x.o
	rm -f *.o xephemdbd

## xephem 3.2.3

=== GUI/xephem/fifos/Makefile ===
--- 
+++ 
@@ -16,3 +16,6 @@
 
 xephem_out_fifo:
 	mkfifo $@
+
+# For RCS Only -- Do Not Edit
+# @(#) $RCSfile: Makefile,v $ $Date: 1996/08/26 19:40:47 $ $Revision: 1.1 $ $Name:  $

=== GUI/xephem/tools/xephemdbd/Makefile ===
--- 
+++ 
@@ -28,3 +28,6 @@
 	touch x.o
 	rm -f *.o xephemdbd
 
+
+# For RCS Only -- Do Not Edit
+# @(#) $RCSfile: Makefile,v $ $Date: 1998/03/12 03:16:45 $ $Revision: 1.1 $ $Name:  $

## xephem 3.7.7

=== debian/changelog ===
xephem (3.7.7-1) stable; urgency=medium

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format

 -- Arne Nordmark <nordmark@mech.kth.se>  Wed, 25 Nov 2020 09:49:09 +0100

xephem (3.7.6-0.4) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Rebuilt for buster

 -- Arne Nordmark <nordmark@aano.se>  Sat, 21 Nov 2020 18:39:11 +0100

xephem (3.7.6-0.3) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Rebuilt for stretch

 -- Arne Nordmark <nordmark@aano.se>  Wed, 19 Jul 2017 09:51:23 +0200

xephem (3.7.6-0.2) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Rebuilt for jessie

 -- Arne Nordmark <nordmark@mech.kth.se>  Wed, 08 Jul 2015 08:43:24 +0200

xephem (3.7.6-0.1) UNRELEASED; urgency=low

  * Non-maintainer upload.
  * New upstream release

 -- Arne Nordmark <nordmark@mech.kth.se>  Fri, 02 May 2014 10:12:38 +0200

xephem (3.7.2-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuilt for squeeze

 -- Arne Nordmark <nordmark@mech.kth.se>  Fri, 11 Mar 2011 14:31:17 +0100

xephem (3.7.2-0.2) unstable; urgency=low

  * NMU
  * Update to current debhelper standards

 -- Arne Nordmark <nordmark@mech.kth.se>  Sat,  2 Dec 2006 10:23:13 +0100

xephem (3.7.2-0.1) unstable; urgency=low

  * NMU
  * New upstream release

 -- Arne Nordmark <nordmark@mech.kth.se>  Sat,  2 Dec 2006 09:29:20 +0100

xephem (3.7.1-0.4) unstable; urgency=low

  * NMU
  * New package name xephem-ng

 -- Arne Nordmark <nordmark@mech.kth.se>  Thu, 23 Nov 2006 19:59:36 +0100

xephem (3.7.1-0.3) unstable; urgency=low

  * NMU
  * Fix man page location
  * Menu pixmap is xpm

 -- Arne Nordmark <nordmark@mech.kth.se>  Sun, 18 Jun 2006 17:50:55 +0200

xephem (3.7.1-0.2) unstable; urgency=low

  * NMU
  * Change location from X11R6

 -- Arne Nordmark <nordmark@mech.kth.se>  Sun, 18 Jun 2006 06:42:58 +0200

xephem (3.7.1-0.1) unstable; urgency=low

  * NMU
  * New upstream release

 -- Arne Nordmark <nordmark@mech.kth.se>  Sun, 18 Dec 2005 06:37:40 +0100

xephem (3.7-0.1) unstable; urgency=low

  * NMU
  * New upstream release

 -- Arne Nordmark <nordmark@mech.kth.se>  Fri, 16 Sep 2005 09:23:16 +0200

xephem (3.6.3-0.1) unstable; urgency=low

  * NMU
  * New upstream release
  * Added Desktop entry

 -- Arne Nordmark <nordmark@mech.kth.se>  Sun, 23 Jan 2005 13:24:21 +0100

xephem (3.6.2-0.1) unstable; urgency=low

  * NMU
  * New upstream release

 -- Arne Nordmark <nordmark@mech.kth.se>  Sat, 22 Jan 2005 07:41:42 +0100

xephem (3.6.1-1) unstable; urgency=low

  * New upstream

 -- Arne Nordmark <nordmark@mech.kth.se>  Fri, 20 Aug 2004 10:54:29 +0200

xephem (3.5.2-0woody.1) unstable; urgency=low

  * Rebuilt for woody

 -- Arne Nordmark <nordmark@mech.kth.se>  Sat, 13 Dec 2003 13:06:43 +0100

xephem (3.5.2-1) unstable; urgency=low

  * New upstream release
  * Closes: #152025, #81193, #115363, #155739, #174672, #173469, #123455
  
 -- Frank Jordan <fjordan@debian.org>  Thu,  2 Jan 2003 10:35:23 +0100

xephem (3.5-2) unstable; urgency=low

  * Add build depends on xutils (Closes: #122527)
    Thanks to Rick Younie

 -- Frank Jordan <fjordan@debian.org>  Wed,  5 Dec 2001 18:40:22 +0100

xephem (3.5-1) unstable; urgency=low

  * New upstream release

 -- Frank Jordan <fjordan@debian.org>  Sun, 21 Oct 2001 21:44:02 +0200

xephem (3.4-6) unstable; urgency=low

  * Updated Standards-Version: 3.5.5
  * Fixed build depends 

 -- Frank Jordan <fjordan@debian.org>  Wed, 20 Jun 2001 18:56:37 +0200

xephem (3.4-5) unstable; urgency=low

  * Fixed build problem (Closes: #91292)
    Thanks to Adrian Bunk
  * Fixed proxy problem for HTTP requests (Closes: #93955)
  * Removed unneeded INSTALL file (Closes: #94048)

 -- Frank Jordan <fjordan@debian.org>  Sun, 15 Apr 2001 21:52:10 +0200

xephem (3.4-4) unstable; urgency=low

  * Fixed building bug on alpha (Closes: #82639)
  * Fixed menu entry Apps/Misc (Closes: #82051, #82575)
  * Add changelog (Closes: #83529)

 -- Frank Jordan <fjordan@debian.org>  Sun, 28 Jan 2001 12:18:19 +0100

xephem (3.4-3) unstable; urgency=low

  * Removed symlink /usr/X11R6/lib/X11/app-defaults/XEphem ->
    /etc/X11/app-defaults/XEphem (Closes: #80976)

 -- Frank Jordan <fjordan@debian.org>  Mon,  1 Jan 2001 19:15:56 +0100

xephem (3.4-2) unstable; urgency=low

  *  Recompiled with new lesstif
  *  Tippo in last changelog entry prevented closing bugs
     (Closes: #54499, #54503, #54504, #54505)

 -- Frank Jordan <fjordan@debian.org>  Mon,  1 Jan 2001 15:35:21 +0100

xephem (3.4-1) unstable; urgency=low

  * New upstream release (Closes: #54498. #54499, #54503, #54504, #54505)
  * Put XEphem app-defaults in /etc/X11/app-defaults/
  * Changed position of xephem share dir: 
    (in app-defaults file: XEphem.ShareDir: /usr/X11R6/share/Xephem)  
  
 -- Frank Jordan <fjordan@debian.org>  Sun, 31 Dec 2000 15:16:07 +0100

xephem (3.2.3-2) frozen unstable; urgency=low

  * Updated Standards-Version: 3.1.1
  * Provide build depends (Closes: #59495)
  * Turn xephem_sites into a conffile (Closes: #54500)

 -- Frank Jordan <f.jordan@uni-duisburg.de>  Wed,  8 Mar 2000 14:20:14 +0100

xephem (3.2.3-1) frozen unstable; urgency=low

  * New upstraem version (only bugfixes)

 -- Frank Jordan <fjordan@debian.org>  Sun, 31 Oct 1999 11:50:04 +0100

xephem (3.2.2-3) unstable; urgency=low

  * Recompiled with new lesstif 

 -- Frank Jordan <fjordan@debian.org>  Mon, 18 Oct 1999 20:22:26 +0200

xephem (3.2.2-2) unstable; urgency=low

  * Recompiled for potato
  * Corrected name in database (Fixes: #40334)
  
 -- Frank Jordan <fjordan@debian.org>  Thu, 14 Oct 1999 13:28:04 +0200

xephem (3.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Frank Jordan <fjordan@debian.org>  Thu, 18 Mar 1999 08:49:38 +0100

xephem (3.1-3) frozen unstable; urgency=low

  * Recompiled against latest glibc (2.0.7.19981211) in slink
    (closes:Bug#32830)

 -- Frank Jordan <fjordan@debian.org>  Thu, 02 Feb 1999 09:57:00 +0100

xephem (3.1-2) unstable; urgency=low



=== debian/control ===
Source: xephem
Build-Depends: debhelper (>= 8), libx11-dev, libxt-dev, x11proto-core-dev, libmotif-dev, libpng-dev, zlib1g-dev, libjpeg-dev 
Section: non-free/misc
Priority: optional
Maintainer: Arne Nordmark <nordmark@mech.kth.se>
Standards-Version: 3.9.8

Package: xephem-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xephem-smotif, xephem-dmotif, xephem
Replaces: xephem-smotif, xephem-dmotif, xephem
Description: interactive astronomical ephemeris for X
 Xephem is an interactive astronomical ephemeris program for X Windows
 systems with Motif.  It provides many graphical views as well as
 quantitative heliocentric, geocentric and topocentric information for
 Earth satellites, solar system and celestial objects.
 .
 This version is linked against OpenMotif.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=8

STAGING = $(CURDIR)/debian/xephem-ng

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

#	cd libastro; $(MAKE)
#	cd libip; $(MAKE)
#	cd liblilxml; $(MAKE)
#	cd libjpegd; $(MAKE)
	cd GUI/xephem; $(MAKE)
#	cd GUI/xephem/tools/lx200xed; $(MAKE)
#	cd GUI/xephem/tools/xephemdbd; $(MAKE)
#	cd GUI/xephem/tools/xedb; $(MAKE)
#	cd GUI/xephem/tools/indi; $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	cd libastro; $(MAKE) clobber
	cd libip; $(MAKE) clobber
	cd liblilxml; $(MAKE) clobber
	cd libjpegd; $(MAKE) clobber
	cd GUI/xephem; $(MAKE) clobber
#	cd GUI/xephem/tools/lx200xed; $(MAKE) clobber
#	cd GUI/xephem/tools/xephemdbd; $(MAKE) clobber
#	cd GUI/xephem/tools/xedb; $(MAKE) clean
#	cd GUI/xephem/tools/indi; $(MAKE) clobber

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into $(STAGING).
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	cp GUI/xephem/xephem $(STAGING)/usr/bin
	#cp GUI/xephem/tools/lx200xed/lx200xed $(STAGING)/usr/bin
	#cp GUI/xephem/tools/xephemdbd/xephemdbd $(STAGING)/usr/bin
	cp debian/XEphem.ad \
		$(STAGING)/etc/X11/app-defaults/XEphem
	cp -R GUI/xephem/auxil $(STAGING)/usr/share/Xephem
	mv $(STAGING)/usr/share/Xephem/auxil/xephem_sites $(STAGING)/etc/xephem/xephem_sites
	(cd $(STAGING)/usr/share/Xephem/auxil/; ln -s /etc/xephem/xephem_sites .)
	rm $(STAGING)/usr/share/Xephem/auxil/._wmm.cof
	cp -R GUI/xephem/catalogs \
		$(STAGING)/usr/share/Xephem
	cp -R GUI/xephem/fifos $(STAGING)/usr/share/Xephem
	cp -R GUI/xephem/fits $(STAGING)/usr/share/Xephem
	cp -R GUI/xephem/gallery $(STAGING)/usr/share/Xephem
	cp -R GUI/xephem/lo $(STAGING)/usr/share/Xephem
	rm $(STAGING)/usr/share/Xephem/lo/._lodb.xml
	cp -R GUI/xephem/help $(STAGING)/usr/share/Xephem
	# cp GUI/xephem/tools/lx200xed/README \
	# 	$(STAGING)/usr/share/doc/xephem/tools/lx200xed
	# cp GUI/xephem/tools/xephemdbd/README \
	# 	$(STAGING)/usr/share/doc/xephem/tools/xephemdbd
	# cp GUI/xephem/tools/xephemdbd/INSTALL \
	# 	$(STAGING)/usr/share/doc/xephem/tools/xephemdbd
	# cp GUI/xephem/tools/xephemdbd/*.pl \
	# 	$(STAGING)/usr/share/doc/xephem/tools/xephemdbd
	# cp GUI/xephem/tools/xephemdbd/*.html \
	# 	$(STAGING)/usr/share/doc/xephem/tools/xephemdbd
	#cp -R GUI/xephem/tools/*.pl \
		#debian/tmp/usr/share/doc/xephem/tools

	#cp GUI/xephem/xephem.man debian/tmp/usr/share/man/man1/xephem.1x
	#gzip -9 debian/tmp/usr/man/man1/xephem.1x

	cp GUI/xephem/XEphem.png $(STAGING)/usr/share/pixmaps
	cp debian/XEphem.xpm $(STAGING)/usr/share/pixmaps
	cp debian/XEphem.desktop $(STAGING)/usr/share/applications

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_undocumented
	dh_installchangelogs
#	dh_desktop
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## xephem 4.2.0

=== debian/changelog ===
xephem (4.2.0-1) unstable; urgency=medium

  * Initial release.

 -- Victor Wagner <vitus@wagner.pp.ru>  Mon, 01 Dec 2025 09:08:12 +0300

=== debian/control ===
Source: xephem
Section: science
Priority: optional
Maintainer: Victor Wagner <vitus@wagner.pp.ru>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 groff-base,
 libmotif-dev, 
 libssl-dev, 
 libxext-dev, 
 libxmu-dev, 
 libxt-dev
Standards-Version: 4.7.2
Homepage: https://github.com/XEphem/XEphem
#Vcs-Browser: https://salsa.debian.org/debian/xephem
#Vcs-Git: https://salsa.debian.org/debian/xephem.git

Package: xephem
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Astronomy program 
 XEphem is an interactive astronomy program for all UNIX platforms, 
 written and maintained by Elwood Downey over more than thirty years 
 1990–2021 and now generously released under the MIT License.
